/Users/bernard/b20/bsoft/tcltk/bshow_ctf.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_ctf.tcl - Procedures to do CTF fitting.

SYNOPSIS

  Functions
CTF currimg
Dialog box to manipulate CTF parameters.
setCTFPixelSize theimg
Dialog box to set the pixel size for CTF fitting.
setPixelSize_and_DestroyWindow w theimg
Sets the pixel size.
setStep theimg
Sets the reciprocal space step size.
updateCTF
Updates all the CTF curves.
setDefocusAverage def_avg
Sets the defocus average.
setDefocusDeviation def_dev
Sets the defocus deviation.
setAstigmatismAngle ast_ang
Sets the astigmatism angle.
getWavelength
Calculates the wavelength.
getFirstZero
Returns the first zero at the average defocus.
getZeroes
Returns all the zeroes at the average defocus.
calcRPS
Calculates the radial power spectrum.
calcCTF
Calculates the contrast transfer function.
calcR
Returns the RMSD between the experimental and calculated RPS curves.
autoCTFfit level
Attempts an automatic fit of the baseline, envelope and CTF functions.
drawEllipse theimg
Draws a number of ellipses at the CTF zeroes.
drawCTF
Draws four curves: baseline, envelope, CTF and RPS.
showFrequency c x y
Shows the spatial frequency at that point where the mouse is moved.
writeCTF
Saves CTF curves to a text file.
getCTFparam
Updates CTF parameters from the micrograph parameters in memory.
setCTFparam
Saves CTF parameters to the micrograph parameters in memory.

Detailed Description

Procedures to do CTF fitting.

Author:
    Bernard Heymann

Date:
    Created: 20020729

    Modified: 20170712

Definition in file bshow_ctf.tcl.

Function Documentation

  autoCTFfitlevel

Attempts an automatic fit of the baseline, envelope and CTF functions.

Definition at line 558 of file bshow_ctf.tcl.

  calcCTF

Calculates the contrast transfer function.

Definition at line 472 of file bshow_ctf.tcl.

  calcR

Returns the RMSD between the experimental and calculated RPS curves.

Definition at line 509 of file bshow_ctf.tcl.

  calcRPS

Calculates the radial power spectrum.

Definition at line 449 of file bshow_ctf.tcl.

  CTFcurrimg

Dialog box to manipulate CTF parameters.

Parameters:
    currimg Image identifier.

Definition at line 36 of file bshow_ctf.tcl.

  drawCTF

Draws four curves: baseline, envelope, CTF and RPS.

Definition at line 667 of file bshow_ctf.tcl.

  drawEllipsetheimg

Draws a number of ellipses at the CTF zeroes.

Parameters:
    theimg Image identifier.

Definition at line 603 of file bshow_ctf.tcl.

  getCTFparam

Updates CTF parameters from the micrograph parameters in memory.

Definition at line 817 of file bshow_ctf.tcl.

  getFirstZero

Returns the first zero at the average defocus.

Definition at line 411 of file bshow_ctf.tcl.

  getWavelength

Calculates the wavelength.

Definition at line 404 of file bshow_ctf.tcl.

  getZeroes

Returns all the zeroes at the average defocus.

Definition at line 424 of file bshow_ctf.tcl.

  setAstigmatismAngleast_ang

Sets the astigmatism angle.

Parameters:
    ast_ang Astigmatism angle in degrees.

Definition at line 391 of file bshow_ctf.tcl.

  setCTFparam

Saves CTF parameters to the micrograph parameters in memory.

Definition at line 878 of file bshow_ctf.tcl.

  setCTFPixelSizetheimg

Dialog box to set the pixel size for CTF fitting.

Parameters:
    theimg Image identifier.

Definition at line 274 of file bshow_ctf.tcl.

  setDefocusAveragedef_avg

Sets the defocus average.

Parameters:
    def_avg Defocus average.

Definition at line 363 of file bshow_ctf.tcl.

  setDefocusDeviationdef_dev

Sets the defocus deviation.

Parameters:
    def_dev Defocus deviation.

Definition at line 377 of file bshow_ctf.tcl.

  setPixelSize_and_DestroyWindoww theimg

Sets the pixel size.

Parameters:
    w the window to destroy.
    theimg Image identifier.

Definition at line 312 of file bshow_ctf.tcl.

  setSteptheimg

Sets the reciprocal space step size.

Parameters:
    theimg Image identifier.

Definition at line 326 of file bshow_ctf.tcl.

  showFrequencyc x y

Shows the spatial frequency at that point where the mouse is moved.

Parameters:
    c Canvas object.
    x
    y Coordinates on the canvas.

Definition at line 762 of file bshow_ctf.tcl.

  updateCTF

Updates all the CTF curves.

Definition at line 336 of file bshow_ctf.tcl.

  writeCTF

Saves CTF curves to a text file.

Definition at line 774 of file bshow_ctf.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.